Skip to main content
GET
/
api
/
public
/
v1
/
me
/
partner
/
oauth2-clients
List the calling partner's OAuth2 clients
curl --request GET \
  --url https://api.flexslot.gg/api/public/v1/me/partner/oauth2-clients \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "client_id": "<string>",
    "application_name": "<string>",
    "application_url": "<string>",
    "application_logo_url": "<string>",
    "privacy_policy_url": "<string>",
    "tos_url": "<string>",
    "redirect_uris": [
      "<string>"
    ],
    "allowed_scopes": [
      "<string>"
    ],
    "grant_types": [
      "<string>"
    ],
    "require_pkce": true,
    "dpop_bound_access_tokens": true,
    "secret_rotated_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

User-issued personal access token (format: flx_pat_).

Response

200 - application/json
id
string<uuid>
required
read-only
client_id
string
required
read-only
client_type
enum<string>
required
  • confidential - Confidential
  • public - Public
Available options:
confidential,
public
application_name
string
required
read-only
application_url
string<uri>
required
read-only
application_logo_url
string<uri>
required
read-only
privacy_policy_url
string<uri>
required
read-only
tos_url
string<uri>
required
read-only
redirect_uris
string[]
required
read-only
Maximum string length: 512
allowed_scopes
string[]
required
read-only
Maximum string length: 64
grant_types
string[]
required
read-only
Maximum string length: 32
require_pkce
boolean
required
read-only
dpop_bound_access_tokens
boolean
required
read-only
status
enum<string>
required
  • active - Active
  • suspended - Suspended
  • revoked - Revoked
Available options:
active,
suspended,
revoked
secret_rotated_at
string<date-time> | null
required
read-only
last_used_at
string<date-time> | null
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only